javax.websocket

## Class DecodeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.websocket.DecodeException

- All Implemented Interfaces:
    Serializable

      public class DecodeException
      extends Exception

  A general exception that occurs when trying to decode a custom object from a text or binary message.
  Author:
    dannycoward
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DecodeException(ByteBuffer bb, String message)` Constructs a DecodedException with the given ByteBuffer that cannot be decoded, and reason why.
    `DecodeException(ByteBuffer bb, String message, Throwable cause)` Constructor with the binary data that could not be decoded, and the reason why it failed to be, and the cause.
    `DecodeException(String encodedString, String message)` Constructs a DecodedException with the given encoded string that cannot be decoded, and reason why.
    `DecodeException(String encodedString, String message, Throwable cause)` Constructor with the text data that could not be decoded, and the reason why it failed to be, and the cause.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ByteBuffer` | `getBytes()` Return the ByteBuffer containing either the whole message, or the partial message, that could not be decoded, or `null` if this exception arose from a failure to decode a text message.
    `String` | `getText()` Return the encoded string that is either the whole message, or the partial message that could not be decoded, or `null` if this exception arose from a failure to decode a binary message..

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DecodeException

          public DecodeException(ByteBuffer bb,
                         String message,
                         Throwable cause)

      Constructor with the binary data that could not be decoded, and the reason why it failed to be, and the cause. The buffer may represent the whole message, or the part of the message most relevant to the decoding error, depending whether the application is using one of the streaming methods or not.
      Parameters:
        `bb` - the byte buffer containing the (part of) the message that could not be decoded.
        `message` - the reason for the failure.
        `cause` - the cause of the error.

    - #### DecodeException

          public DecodeException(String encodedString,
                         String message,
                         Throwable cause)

      Constructor with the text data that could not be decoded, and the reason why it failed to be, and the cause. The encoded string may represent the whole message, or the part of the message most relevant to the decoding error, depending whether the application is using one of the streaming methods or not.
      Parameters:
        `encodedString` - the string representing the (part of) the message that could not be decoded.
        `message` - the reason for the failure.
        `cause` - the cause of the error.

    - #### DecodeException

          public DecodeException(ByteBuffer bb,
                         String message)

      Constructs a DecodedException with the given ByteBuffer that cannot be decoded, and reason why. The buffer may represent the whole message, or the part of the message most relevant to the decoding error, depending whether the application is using one of the streaming methods or not.
      Parameters:
        `bb` - the byte buffer containing the (part of) the message that could not be decoded.
        `message` - the reason for the failure.

    - #### DecodeException

          public DecodeException(String encodedString,
                         String message)

      Constructs a DecodedException with the given encoded string that cannot be decoded, and reason why. The encoded string may represent the whole message, or the part of the message most relevant to the decoding error, depending whether the application is using one of the streaming methods or not.
      Parameters:
        `encodedString` - the string representing the (part of) the message that could not be decoded.
        `message` - the reason for the failure.

  - ### Method Detail

    - #### getBytes

          public ByteBuffer getBytes()

      Return the ByteBuffer containing either the whole message, or the partial message, that could not be decoded, or `null` if this exception arose from a failure to decode a text message.
      Returns:
        the binary data not decoded or `null` for text message failures.

    - #### getText

          public String getText()

      Return the encoded string that is either the whole message, or the partial message that could not be decoded, or `null` if this exception arose from a failure to decode a binary message..
      Returns:
        the text not decoded or `null` for binary message failures.

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.